=== debian/changelog ===
rtpmidid (21.11) unstable; urgency=medium

  * Several MIDI packets in a single packet. This solves several issues 
    with third party implementations.
  * Resassembly of SysEx packages
  * Internal improvements
  * More tests
  * Log colors only on terminals
  * Parsing or Real Time Events
  * Moved mdns_rtpmidi into the library

 -- David Moreno <dmoreno@coralbits.com>  Thu, 04 Nov 2021 21:52:52 +0100

rtpmidid (21.07) unstable; urgency=medium

  * Bugfix: bad ordering of events 
  * More MIDI events
  * Bad acess initiator / ssrc
  * Bigger buffer size for sysex

 -- David Moreno <dmoreno@coralbits.com>  Fri, 23 Jul 2021 19:42:45 +0200

rtpmidid (20.07) unstable; urgency=medium

  * Improved Mac OS and iOS support
  * Control CLI
  * LGPL2.1 Library
  * Improved stability

 -- David Moreno <dmoreno@coralbits.com>  Sat, 11 Jul 2020 13:01:46 +0200

rtpmidid (20.04.5) unstable; urgency=medium

  * Initial Release.

 -- David Moreno <dmoreno@coralbits.com>  Sun, 05 Apr 2020 15:36:37 +0200
